
CREATE TABLE vm_ssh_host_key (
  email              TEXT NOT NULL,
  vm_id              TEXT NOT NULL,
  key_type           TEXT NOT NULL,
  content            TEXT NOT NULL,
  sha256             TEXT NOT NULL,
  FOREIGN KEY (email, vm_id)             REFERENCES vms(email, id) ON DELETE CASCADE,
  PRIMARY KEY (email, vm_id, key_type)
);

ALTER TABLE vm_ssh_public_key RENAME TO vm_ssh_authorized_key;

UPDATE schemaversion SET version = 12;