from capsulflask.tests_base import BaseTestCase


class LandingTests(BaseTestCase):
    #: Do not render templates, we're only testing logic here.
    render_templates = False

    def test_landing(self):
        pages = ['/', 'pricing', 'faq', 'about-ssh', 'changelog', 'support']

        with self.client as client:
            for page in pages:
                response = client.get(page)
                self.assert_200(response)
